Bug 819815 - New Fabric 1.4.2 fixes bug with agent forwarding
New Fabric 1.4.2 fixes bug with agent forwarding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fabric (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Silas Sewell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 05:42 EDT by techtonik
Modified: 2012-07-23 16:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 16:22:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description techtonik 2012-05-08 05:42:09 EDT
There is a new Fabric again - 1.4.2, which finally fixes my problem with port forwarding. It would be really nice to see this updated.

Issue that affected my installation: https://github.com/fabric/fabric/issues/562
Full changelog: http://docs.fabfile.org/en/1.4.2/changelog.html

Thanks.
Comment 1 Fedora Update System 2012-05-09 22:06:14 EDT
fabric-1.4.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fabric-1.4.2-1.fc16
Comment 2 Fedora Update System 2012-05-11 06:26:20 EDT
Package fabric-1.4.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fabric-1.4.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7680/fabric-1.4.2-1.fc16
then log in and leave karma (feedback).
Comment 3 techtonik 2012-05-17 01:51:59 EDT
The package is broken. Missing dependency on ssh. Is it possible to use `install_requires` value from `setup.py` that comes with Fabric to set dependencies for Fedora package, and also to run `fav --version` test during package build or for AutoQA?
Comment 4 Fedora Update System 2012-05-19 06:43:36 EDT
python-ssh-1.7.14-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-ssh-1.7.14-1.fc16
Comment 5 techtonik 2012-05-19 07:36:58 EDT
Awesome. Thanks. ;) Can you fix the dependency inside fabric package, so that python-ssh >= 1.7.14 is downloaded automatically when I update it? I'm very interested to see how it is usually handled on Fedora. Too bad there is link to component source right from Bugzilla.
Comment 6 techtonik 2012-05-19 07:37:31 EDT
s/is link/is no link/
Comment 7 Fedora Update System 2012-07-10 12:25:32 EDT
python-ssh-1.7.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-07-10 20:49:59 EDT
fabric-1.4.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fabric-1.4.3-3.fc17
Comment 9 Fedora Update System 2012-07-10 20:51:10 EDT
fabric-1.4.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fabric-1.4.3-3.fc16
Comment 10 Fedora Update System 2012-07-23 16:22:34 EDT
fabric-1.4.3-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-07-23 16:29:39 EDT
fabric-1.4.3-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.